#
# spec file for package perl-XML-RSS-LibXML
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name XML-RSS-LibXML
Name:           perl-XML-RSS-LibXML
Version:        0.310.500
Release:        1699.1.pm.3
%define cpan_version 0.3105
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        XML::RSS with XML::LibXML
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DM/DMAKI/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(DateTime::Format::Mail)
BuildRequires:  perl(DateTime::Format::W3CDTF)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(Module::Build) >= 0.38
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(XML::LibXML) >= 1.66
BuildRequires:  perl(XML::LibXML::XPathContext)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(DateTime::Format::Mail)
Requires:       perl(DateTime::Format::W3CDTF)
Requires:       perl(UNIVERSAL::require)
Requires:       perl(XML::LibXML) >= 1.66
Requires:       perl(XML::LibXML::XPathContext)
Provides:       perl(XML::RSS::LibXML) = %{version}
Provides:       perl(XML::RSS::LibXML::ImplBase)
Provides:       perl(XML::RSS::LibXML::MagicElement) = %{version}
Provides:       perl(XML::RSS::LibXML::Namespaces)
Provides:       perl(XML::RSS::LibXML::Null)
Provides:       perl(XML::RSS::LibXML::V0_9)
Provides:       perl(XML::RSS::LibXML::V0_91)
Provides:       perl(XML::RSS::LibXML::V0_92)
Provides:       perl(XML::RSS::LibXML::V1_0)
Provides:       perl(XML::RSS::LibXML::V2_0)
%undefine       __perllib_provides
%{perl_requires}

%description
XML::RSS::LibXML uses XML::LibXML (libxml2) for parsing RSS instead of
XML::RSS' XML::Parser (expat), while trying to keep interface compatibility
with XML::RSS.

XML::RSS is an extremely handy tool, but it is unfortunately not exactly
the most lean or efficient RSS parser, especially in a long-running
process. So for a long time I had been using my own version of RSS parser
to get the maximum speed and efficiency - this is the re-packaged version
of that module, such that it adheres to the XML::RSS interface.

Use this module when you have severe performance requirements working with
RSS files.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Tue Mar 12 2024 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.3105
  see /usr/share/doc/packages/perl-XML-RSS-LibXML/Changes
  0.3105 2014-04-29T22:31:01Z
  * Fix tests for timestamps displaying [+-]0000
    [https://github.com/lestrrat/XML-RSS-LibXML/issues/5] (eserte)
  0.3104 2014-03-07T21:24:58Z
  * Remove stray Makefile
  0.3103 2014-02-22T08:31:41Z
  * Iterate over hash using keys() instead of each() (reported by Dave O'Brien)
  * Use Minilla for development
  0.3102 - 14 Sep 2011
  * Allow upper uppercase letters as first character of namespace prefix
    [https://github.com/lestrrat/XML-RSS-LibXML/pull/2] (arc)
  0.3101 - 06 Jul 2011
  * Fix perl 5.14 qw() deprecation warnings (theory)
  * Fix some edge case errors cause by isa / UNIVERSAL::isa
  * Fix silly error detecting RSS 1.0
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.3102
  see /usr/share/doc/packages/perl-XML-RSS-LibXML/Changes
  0.3102 - 14 Sep 2011
  * Allow upper uppercase letters as first character of namespace prefix
    [https://github.com/lestrrat/XML-RSS-LibXML/pull/2] (arc)
  0.3101 - 06 Jul 2011
  * Fix perl 5.14 qw() deprecation warnings (theory)
  * Fix some edge case errors cause by isa / UNIVERSAL::isa
  * Fix silly error detecting RSS 1.0
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- initial version (0.3100)
